<?php
/**
 * @package    VP Advanced User
 * @author     Abhishek Das <info@virtueplanet.com>
 * @copyright  Copyright (C) 2012-2019 VirtuePlanet Services LLP. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.virtueplanet.com
 */

defined('_JEXEC') or die;

/**
 * Authenticate view class.
 *
 * @since  1.5
 */
class VPAdvancedUserViewOpenid extends JViewLegacy
{
	protected $params;
	
	protected $myparams;
	
	/**
	 * Method to display the view.
	 *
	 * @param   string  $tpl  The name of the template file to parse; automatically searches through the template paths.
	 *
	 * @return  mixed  A string if successful, otherwise a Error object.
	 *
	 * @since   1.5
	 */
	public function display($tpl = null)
	{
		$app = JFactory::getApplication();
		
		$this->params   = $app->getParams('com_users');
		$this->myparams = $app->getParams('com_vpadvanceduser');
		
		JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
		
		parent::display($tpl);
	}
}
